lxc-checkpoint(1)

NAME
lxc-checkpoint - checkpoint a container

SYNOPSIS
lxc-checkpoint
{-n name} {-D PATH} [-r] [-s] [-v] [-d] [-F]

DESCRIPTION
lxc-checkpoint checkpoints and restores containers.

OPTIONS

\FC-r, --restore\F[]
    Restore the checkpoint for the container, instead of dumping it. This option is incompatible with \FC-s\F[].

\FC-D \F[]PATH\FC, --checkpoint-dir=\F[]PATH
    The directory to dump the checkpoint metadata.

\FC-s, --stop\F[]
    Optionally stop the container after dumping. This option is incompatible with \FC-r\F[].

\FC-v, --verbose\F[]
    Enable verbose criu logging.

\FC-d, --daemon\F[]
    Restore the container in the background (this is the default). Only available when providing \FC-r\F[].

\FC-F, --foreground\F[]
    Restore the container in the foreground. Only available when providing \FC-r\F[].

COMMON OPTIONS
These options are common to most of lxc commands.

\FC-?, -h, --help\F[]
    Print a longer usage message than normal.

\FC--usage\F[]
    Give the usage message

\FC-q, --quiet\F[]
    mute on

\FC-P, --lxcpath=\F[]PATH
    Use an alternate container path. The default is /var/lib/lxc.

\FC-o, --logfile=\F[]FILE
    Output to an alternate log FILE. The default is no log.

\FC-l, --logpriority=\F[]LEVEL
    Set log priority to LEVEL. The default log priority is \FCERROR\F[]. Possible values are : \FCFATAL\F[], \FCCRIT\F[], \FCWARN\F[], \FCERROR\F[], \FCNOTICE\F[], \FCINFO\F[], \FCDEBUG\F[]. Note that this option is setting the priority of the events log in the alternate log file. It do not have effect on the ERROR events log on stderr.

\FC-n, --name=\F[]NAME
    Use container identifier NAME. The container identifier format is an alphanumeric string.

\FC--version\F[]
    Show the version number.

EXAMPLES

lxc-checkpoint -n foo -D /tmp/checkpoint
    Checkpoint the container foo into the directory /tmp/checkpoint.

lxc-checkpoint -r -n foo -D /tmp/checkpoint
    Restore the checkpoint from the directory /tmp/checkpoint.

SEE ALSO
lxc(7), lxc-create(1), lxc-copy(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Tycho Andersen <\FCtycho.andersen@canonical.com\F[]>